org.keycloak.authorization.policy.provider

## Interface PolicyProviderFactory<R extends AbstractPolicyRepresentation>

- All Superinterfaces:
    ProviderFactory<PolicyProvider>
  All Known Implementing Classes:
    AggregatePolicyProviderFactory, ClientPolicyProviderFactory, ClientScopePolicyProviderFactory, DeployedScriptPolicyFactory, GroupPolicyProviderFactory, JSPolicyProviderFactory, RegexPolicyProviderFactory, ResourcePolicyProviderFactory, RolePolicyProviderFactory, ScopePolicyProviderFactory, TimePolicyProviderFactory, UMAPolicyProviderFactory, UserPolicyProviderFactory

      public interface PolicyProviderFactory<R extends AbstractPolicyRepresentation>
      extends ProviderFactory<PolicyProvider>

  Author:
    Pedro Igor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `PolicyProvider` | `create(AuthorizationProvider authorization)`
    `default PolicyProviderAdminService` | `getAdminResource(ResourceServer resourceServer, AuthorizationProvider authorization)`
    `String` | `getGroup()`
    `String` | `getName()`
    `Class<R>` | `getRepresentationType()`
    `default boolean` | `isInternal()`
    `default void` | `onCreate(Policy policy, R representation, AuthorizationProvider authorization)`
    `default void` | `onExport(Policy policy, PolicyRepresentation representation, AuthorizationProvider authorizationProvider)`
    `default void` | `onImport(Policy policy, PolicyRepresentation representation, AuthorizationProvider authorization)`
    `default void` | `onRemove(Policy policy, AuthorizationProvider authorization)`
    `default void` | `onUpdate(Policy policy, R representation, AuthorizationProvider authorization)`
    `R` | `toRepresentation(Policy policy, AuthorizationProvider authorization)`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, getId, init, order, postInit`

- - ### Method Detail

    - #### getName

          String getName()

    - #### getGroup

          String getGroup()

    - #### isInternal

          default boolean isInternal()

    - #### create

          PolicyProvider create(AuthorizationProvider authorization)

    - #### toRepresentation

          R toRepresentation(Policy policy,
                             AuthorizationProvider authorization)

    - #### getRepresentationType

          Class<R> getRepresentationType()

    - #### onCreate

          default void onCreate(Policy policy,
                                R representation,
                                AuthorizationProvider authorization)

    - #### onUpdate

          default void onUpdate(Policy policy,
                                R representation,
                                AuthorizationProvider authorization)

    - #### onRemove

          default void onRemove(Policy policy,
                                AuthorizationProvider authorization)

    - #### onImport

          default void onImport(Policy policy,
                                PolicyRepresentation representation,
                                AuthorizationProvider authorization)

    - #### onExport

          default void onExport(Policy policy,
                                PolicyRepresentation representation,
                                AuthorizationProvider authorizationProvider)

    - #### getAdminResource

          default PolicyProviderAdminService getAdminResource(ResourceServer resourceServer,
                                                              AuthorizationProvider authorization)

Copyright © 2021 JBoss by Red Hat. All rights reserved.